### Constructor

# FwupdPlugin ChunkArray new_from_bytes

since: 1.9.6

#### Declaration [src]

    FuChunkArray*
    fu_chunk_array_new_from_bytes (
      GBytes* blob,
      guint32 addr_start,
      guint32 packet_sz
    )

#### Description [src]

Chunks a linear blob of memory into packets, ensuring each packet is less that a specific transfer size.

Available since: 1.9.6

#### Parameters

`blob`

  Type: `GBytes`

  Data.

  The data is owned by the caller of the function.

`addr_start`

  Type: `guint32`

  The hardware address offset, or 0x0

`packet_sz`

  Type: `guint32`

  The packet size, or 0x0

#### Return value

Type: `FuChunkArray`

A `FuChunkArray`.

The caller of the function takes ownership of the data, and is responsible for freeing it.